Bug #309

Blank Ubuntu 12.04 does not feature build-essentials | corrected jre-to-jdk package

Added by Florian Lier about 3 years ago. Updated about 3 years ago.

Status:ClosedStart date:2014-10-17
Priority:HighDue date:
Assignee:Florian Lier% Done:

100%

Category:distinstallerEstimated time:2.00 hours
Target version:Toolkit 0.1Spent time:2.10 hours

Description

In order to bootstrap our toolchain, jdk instead of jre is needed (otherwise you dont have a Java compiler ;) ).
Also gcc is missing, therefore build-essentials is now in the list of basic packages

History

#1 Updated by Florian Lier about 3 years ago

Installed blank VM and tested.

#2 Updated by Florian Lier about 3 years ago

  • Status changed from Resolved to Closed

#3 Updated by Jan Moringen about 3 years ago

Please update wip-platform-requirements branch accordingly.

#4 Updated by Florian Lier about 3 years ago

...should this go? These packages must be installed before you even use the build generator. At this point, it is only mentioned in the tutorials. So, basically we need to add those packages to EVERY distributuion. Is that what you mean?

#5 Updated by Jan Moringen about 3 years ago

At least requiring JDK instead of JRE applies specifically to projects that compile Java code, not the build-generator, Jenkins or the installer script.

I'm not sure why we want build-essentials, but I suspect it to be not necessary for build-generator, Jenkins or the installer script as well.

Also available in: Atom PDF